import Axios from 'axios'
import {MessageBox} from 'element-ui'
// import store from '../store'    //引用store.js

var debug = false
// 创建 axios 实例
var axios = Axios.create({
    //  baseURL: 'http://192.168.1.2:9088', // 线下默认地址
    baseURL: 'http://192.168.31.168:9088',
    timeout: 120000, // 请求超时时间
})

axios.interceptors.request.use(function (config) {
    // 在发送请求之前做些什么
    //判断是否存在token
    let token = JSON.parse(localStorage.getItem("myToken"))
    if (token) {
        config.headers.token = token
    }
    return config;
}, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
});

axios.interceptors.response.use(
    response => {  // 该处为后端返回整个内容
        const res = response.data;  // 该处可将后端数据取出，提前做一个处理
        if (res.code == -401 || (response.data.status != undefined && response.data.status == -998)) {
            // MessageBox.alert('登录超时，请重新登录！', '登录超时', {
            //     confirmButtonText: '跳转登录页面',
            //     callback: () => {
            //         localStorage.clear()
            //         setCookie('dh_token', "", -1)
            //         var hrefPath = window.location.origin + window.location.pathname
            //         // var hrefPath = window.location.host
            //         // top.location.href = 'http://'+hrefPath
            //         top.location.href = hrefPath + '#/dh_denglu'
            //     }
            // })
            MessageBox.confirm('登录超时？', '提示', {
                confirmButtonText: '回到登录页',
                cancelButtonText: '留在此页面',
                type: 'warning'
            }).then(() => {
                clearTokenMemory()
                var hrefPath = window.location.origin + window.location.pathname
                top.location.href = hrefPath + '#/login_dl'
            }).catch(() => {

            });
        } else {
            return response  // 该处将结果返回，下一步可用于前端页面渲染用
        }
    },
    error => {
        if (error.response === undefined) {
            console.log("网络故障")
            return
        }
        if (error.response.status != undefined && error.response.status == 403) {
            MessageBox.confirm('权限不足,切换账户!', '提示', {
                confirmButtonText: '回到登录页',
                cancelButtonText: '留在此页面',
                type: 'warning'
            }).then(() => {
                clearTokenMemory()
                let hrefPath = window.location.origin + window.location.pathname
                top.location.href = hrefPath + '#/login_dl'
            }).catch(() => {

            });
        } else {
            if (debug)
                MessageBox.alert('debug model opened:-->' + error)
        }
        return Promise.reject(error)
    }
)

export function clearTokenMemory() {
    localStorage.removeItem('myInfo')
    localStorage.removeItem('myToken')
    setCookie('dh_token', "", -1)
}

export function setCookie(cname, cvalue, exdays) { //设置cookie
    let d = new Date()
    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000))
    let expires = 'expires=' + d.toUTCString()
    document.cookie = cname + '=' + cvalue + '; ' + expires
}

//post
export function postAction(url, parameter) {

    return axios({
        url: url,
        method: 'post',
        data: parameter
    })
}

export function uploadFile(url, parameter) {
    return axios({
        url: url,
        data: parameter,
        method: 'post'
    })
}


//post method= {post | put}
export function httpAction(url, parameter, method) {
    return axios({
        url: url,
        method: method,
        data: parameter
    })
}

//put
export function putAction(url, parameter) {
    return axios({
        url: url,
        method: 'put',
        data: parameter
    })
}

//get
export function getAction(url, parameter) {
    return axios({
        url: url,
        method: 'get',
        params: parameter
    })
}

//deleteAction
export function deleteAction(url, parameter) {
    return axios({
        url: url,
        method: 'delete',
        params: parameter
    })
}

/**
 * 下载文件 用于excel导出
 * @param url
 * @param parameter
 * @returns {*}
 */
export function downFile(url, parameter) {
    return axios({
        url: url,
        params: parameter,
        method: 'get',
        responseType: 'blob'
    })
}


