import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import HighchartsVue from "highcharts-vue";
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import ViewUI from 'view-design';
import 'view-design/dist/styles/iview.css';
import ECharts from 'vue-echarts' // refers to components/ECharts.vue in webpack
import echarts from 'echarts'
import 'echarts/lib/chart/bar'
import 'echarts/lib/component/tooltip'
import './assets/css/iconfont.css'
import './assets/css/dl-components.css'
import './assets/css/scroll.css'

Vue.use(echarts)
Vue.component('v-chart', ECharts)
Vue.config.productionTip = false;
Vue.use(HighchartsVue);
Vue.use(ElementUI)
Vue.use(ViewUI);
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
