import Vue from "vue"
import VueRouter from 'vue-router'
import store from "@/store"
import login_dl from "@/components/login/login_dl"
import index_dl from '@/components/index/index_dl'
import sampleManage from "@/components/sampleManage/sampleManage";
import modelEvaluation from "@/components/modelEvaluation/modelEvaluation";
import modelPublish from "@/components/modelPublish/modelPublish";
import taskWatch from "@/components/taskWatch/taskWatch";
import groupManage from "@/components/groupManage/groupManage";

function getCookie(cname){
    let name = cname+"="
    let ca = document.cookie.split(';')
    for(let i=0;i<ca.length;i++){
        let c  = ca[i]
        while (c.charAt(0)===' ')c=c.substr(1)
        if (c.indexOf(name)!==-1){
            return c.substring(name.length,c.length)
        }
    }
    return ''
}

Vue.use(VueRouter)

const routerPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location){
    return routerPush.call(this,location).catch(error=>error)
}
const routes = [
    {
        path: '/',
        redirect:{
            path: '/login_dl',
            name: 'login_dl',
            component: login_dl
        }
    },
    {
        path: '/login_dl',
        name: 'login_dl',
        component: login_dl
    },
    {
        path: '/index_dl',
        name: 'index_dl',
        component: index_dl,
        children:[
            {
                path: '/sampleManage',
                name: 'sampleManage',
                component: sampleManage
            },
            {
                path: '/modelEvaluation',
                name: 'modelEvaluation',
                component: modelEvaluation
            },
            {
                path: '/modelPublish',
                name: 'modelPublish',
                component: modelPublish
            },
            {
                path: '/taskWatch',
                name: 'taskWatch',
                component: taskWatch
            },
            {
                path: '/groupManage',
                name: 'groupManage',
                component: groupManage
            }
        ]
    }
]

const router = new VueRouter({
    routes
})

router.beforeEach((to, from, next) => {
    if (getCookie('dh_token')) {
        if (from.name == null) {
            store.commit('updateRouterPath',to.path)
        }else if (from.name === 'login_dl') {
            store.commit('updateRouterPath','/login_dl')
        }
        next();
    }else {
        if (to.path === '/login_dl') {
            next();
            return
        }else{
            next({
                path: '/login_dl',
            });
        }
    }
})
export default router


