import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
// 将state里必需的数据保存到localstorage里，解决刷新页面vuex重置数据
const store = new Vuex.Store({
	state:{//要设置的全局访问的state对象
		routerPath: '',//路由
		user:JSON.parse(localStorage.getItem("myInfo")),//个人信息
		token:JSON.parse(localStorage.getItem("myToken")),
		menuArr:[],
		routerPath3:''
	},
	mutations: {
		updateRouterPath (state,path) {//更改路由
			state.routerPath = path
		},
		updateUser (state,path) {//更改个人信息
			localStorage.setItem('myInfo', JSON.stringify(path));
			state.user = path
		},
		updateToken (state,path) {//更改token
			localStorage.setItem('myToken', JSON.stringify(path));
			state.token = path
		},
		updateMenu (state,path) {//更改菜单小标签
			if(state.menuArr.length>0){
				let num = 0
				for(var i = 0;i<state.menuArr.length;i++){
					if(path.index == state.menuArr[i].index){
						num = 1
					}
				}
				if(num == 0){
					state.menuArr.push(path)
				}
			}else{
				state.menuArr.push(path)
			}
			
		},
		detaleMenu(state,path){//删除菜单小标签
			for(var i = 0;i<state.menuArr.length;i++){
				if(path == state.menuArr[i].index){
					state.menuArr.splice(i,1);
				}
			}
		}
	}
})

export default store
